(* ------------------------------------------------------ *)
(*                       POPD.PAS                         *)
(*   Wechselt in letztes mit PUSHD gesichertes Directory  *)
(*            (c) 1989 R. Geier & TOOLBOX                 *)
(* ------------------------------------------------------ *)
{$B-,D-,F-,I-,R-,S-,V-}

PROGRAM PopDirectory;

CONST
  FName  = 'C:\PUSHD.DIR';

VAR
  PFile  : FILE OF STRING;
  PopDir : STRING;
  FS     : LONGINT;

BEGIN
  Assign(PFile, FName);
  IF ParamCount = 0 THEN BEGIN
    Reset(PFile);
    IF (IOResult <> 0) THEN BEGIN
      WriteLn('PUSHD.DIR nicht vorhanden!');
      Halt(1);
    END;
    FS := FileSize(PFile);
    IF FS = 0 THEN BEGIN
      WriteLn('Keine Eintrge in PUSHD.DIR vorhanden!');
      Halt(2);
    END;
    Seek(PFile, Pred(FS));
    Read(PFile, PopDir);
    Seek(PFile, Pred(FS));
    Truncate(PFile);
    ChDir(PopDir);
    IF IOResult <> 0 THEN
      WriteLn('Fehler bei Wechsel nach ', PopDir, '!');
    Close(PFile);
  END ELSE
    IF (ParamStr(1) = '*') THEN Erase(PFile);
END.
(* ------------------------------------------------------ *)
(*                 Ende von POPD.PAS                      *)
