(* ------------------------------------------------------ *)
(*                      PUSHD.PAS                         *)
(*   Sichert momentanes Directory in die Datei PUSHD.DIR  *)
(*            (c) 1989 R. Geier & TOOLBOX                 *)
(* ------------------------------------------------------ *)
{$B-,D-,F-,I-,R-,S-,V-}
PROGRAM PushDirectory;

CONST
  FName = 'C:\PUSHD.DIR';

VAR
  PFile  : FILE OF STRING;
  CurDir : STRING;

BEGIN
  Assign(PFile, FName);
  GetDir(0, CurDir);
  Reset(PFile);
  IF (IOResult <> 0) THEN Rewrite(PFile);
  Seek(PFile, FileSize(PFile));
  Write(PFile, CurDir);
  Close(PFile);
  IF ParamCount > 0 THEN BEGIN
    ChDir(ParamStr(1));
    IF IOResult <> 0 THEN
      WriteLn('Fehler bei Wechsel nach ',
              ParamStr(1), '!');
  END;
END.
(* ------------------------------------------------------ *)
(*                 Ende von PUSHD.PAS                     *)
